<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionDropItem.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/da6/_action_drop_item_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionDropItem.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/da6/_action_drop_item_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d6b/class_action_drop_item_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d6b/class_action_drop_item_c_b.html">ActionDropItemCB</a> : <a class="code hl_class" href="../../de/df4/class_action_single_use_base_c_b.html">ActionSingleUseBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d6b/class_action_drop_item_c_b.html#a32769fdaee16b2b340b074f4ae3218fa">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d6b/class_action_drop_item_c_b.html#a32769fdaee16b2b340b074f4ae3218fa">EndActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a3c5d45da90c7b09cd521c54723181314">SetCommand</a>(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONINT_END);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">m_State</a> = <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>};</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html">   10</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/de8/class_action_drop_item.html">ActionDropItem</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a65772b91377d0ddeb89c9f0e03c68c29">   12</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d2/de8/class_action_drop_item.html#a65772b91377d0ddeb89c9f0e03c68c29">m_ItemName</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a882ca329b3f3d6087cbc892c1be90317">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a882ca329b3f3d6087cbc892c1be90317">ActionDropItem</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_DROPITEM_HANDS;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a>   = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DROPITEM_HANDS;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a>     = <a class="code hl_class" href="../../d4/d6b/class_action_drop_item_c_b.html">ActionDropItemCB</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#drop_item&quot;</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#aae845fa9c747bf37d5c7db31cd08ebaf">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#aae845fa9c747bf37d5c7db31cd08ebaf">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a27155ccef1895fcf6b98e459c1ce265d">   28</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a27155ccef1895fcf6b98e459c1ce265d">GetInputType</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d4/d7f/class_drop_action_input.html">DropActionInput</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#ab8beada0b07c468580d35186ab97149f">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#ab8beada0b07c468580d35186ab97149f">HasProneException</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a54fae1f1ed852eaa0f22d471b0b1ee9a">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a54fae1f1ed852eaa0f22d471b0b1ee9a">CanBeUsedThrowing</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#ad777cd14fd69588dd3b9e549e209be13">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#ad777cd14fd69588dd3b9e549e209be13">HasTarget</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#af5e4b894d621d64eed0459ba39d4d1fc">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#af5e4b894d621d64eed0459ba39d4d1fc">ActionConditionContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a14553654e7d9ab8626f2eebe413b0f14">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a14553654e7d9ab8626f2eebe413b0f14">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( player.GetCommand_Vehicle() )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ( player &amp;&amp; item )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a40b00cf4db028a9c4d199c4aa0e07f6b">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a40b00cf4db028a9c4d199c4aa0e07f6b">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="comment">/*action_data.m_Player.PredictiveDropEntity(action_data.m_Player.GetItemInHands());</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="comment">        </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="comment">            if ( action_data.m_Player.IsPlacingLocal() )</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="comment">            {</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">                action_data.m_Player.TogglePlacingLocal();</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment">            }*/</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a9f67543769b7448823005eba8098da53">PhysicalDropItem</a>(action_data);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#aa8c0f90f62d0b3833052d6fc2f21f3ed">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#aa8c0f90f62d0b3833052d6fc2f21f3ed">OnExecuteClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="comment">/*if (action_data.m_Player.GetItemInHands().IsHeavyBehaviour())</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment">        {</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment">            action_data.m_Player.PredictiveDropEntity(action_data.m_Player.GetItemInHands());</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="comment">        </span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment">            if ( action_data.m_Player.IsPlacingLocal() )</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="comment">            {</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="comment">                action_data.m_Player.TogglePlacingLocal();</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment">            }</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment">        }</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment">        else</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment">        {</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">            PhysicalDropItem(action_data);</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">        }*/</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a9f67543769b7448823005eba8098da53">PhysicalDropItem</a>(action_data);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d2/de8/class_action_drop_item.html#a9f67543769b7448823005eba8098da53">   97</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de8/class_action_drop_item.html#a9f67543769b7448823005eba8098da53">PhysicalDropItem</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PhysicalPredictiveDropItem(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetItemInHands());</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a3c5d45da90c7b09cd521c54723181314"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a3c5d45da90c7b09cd521c54723181314">ActionBaseCB::SetCommand</a></div><div class="ttdeci">void SetCommand(int command_uid)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00046">AnimatedActionBase.c:46</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_ac1e0ce4566aafcf4a9faf829080267c8"><div class="ttname"><a href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">ActionData::m_State</a></div><div class="ttdeci">int m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00031">ActionBase.c:31</a></div></div>
<div class="ttc" id="aclass_action_drop_item_c_b_html"><div class="ttname"><a href="../../d4/d6b/class_action_drop_item_c_b.html">ActionDropItemCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00001">ActionDropItem.c:2</a></div></div>
<div class="ttc" id="aclass_action_drop_item_c_b_html_a32769fdaee16b2b340b074f4ae3218fa"><div class="ttname"><a href="../../d4/d6b/class_action_drop_item_c_b.html#a32769fdaee16b2b340b074f4ae3218fa">ActionDropItemCB::EndActionComponent</a></div><div class="ttdeci">override void EndActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00003">ActionDropItem.c:3</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html">ActionDropItem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00010">ActionDropItem.c:11</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a14553654e7d9ab8626f2eebe413b0f14"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a14553654e7d9ab8626f2eebe413b0f14">ActionDropItem::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00053">ActionDropItem.c:53</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a27155ccef1895fcf6b98e459c1ce265d"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a27155ccef1895fcf6b98e459c1ce265d">ActionDropItem::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00028">ActionDropItem.c:28</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a40b00cf4db028a9c4d199c4aa0e07f6b"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a40b00cf4db028a9c4d199c4aa0e07f6b">ActionDropItem::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00065">ActionDropItem.c:65</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a54fae1f1ed852eaa0f22d471b0b1ee9a"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a54fae1f1ed852eaa0f22d471b0b1ee9a">ActionDropItem::CanBeUsedThrowing</a></div><div class="ttdeci">override bool CanBeUsedThrowing()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00038">ActionDropItem.c:38</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a65772b91377d0ddeb89c9f0e03c68c29"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a65772b91377d0ddeb89c9f0e03c68c29">ActionDropItem::m_ItemName</a></div><div class="ttdeci">string m_ItemName</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00012">ActionDropItem.c:12</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a882ca329b3f3d6087cbc892c1be90317"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a882ca329b3f3d6087cbc892c1be90317">ActionDropItem::ActionDropItem</a></div><div class="ttdeci">void ActionDropItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00014">ActionDropItem.c:14</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_a9f67543769b7448823005eba8098da53"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#a9f67543769b7448823005eba8098da53">ActionDropItem::PhysicalDropItem</a></div><div class="ttdeci">void PhysicalDropItem(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00097">ActionDropItem.c:97</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_aa8c0f90f62d0b3833052d6fc2f21f3ed"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#aa8c0f90f62d0b3833052d6fc2f21f3ed">ActionDropItem::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00079">ActionDropItem.c:79</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_aae845fa9c747bf37d5c7db31cd08ebaf"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#aae845fa9c747bf37d5c7db31cd08ebaf">ActionDropItem::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00022">ActionDropItem.c:22</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_ab8beada0b07c468580d35186ab97149f"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#ab8beada0b07c468580d35186ab97149f">ActionDropItem::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00033">ActionDropItem.c:33</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_ad777cd14fd69588dd3b9e549e209be13"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#ad777cd14fd69588dd3b9e549e209be13">ActionDropItem::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00043">ActionDropItem.c:43</a></div></div>
<div class="ttc" id="aclass_action_drop_item_html_af5e4b894d621d64eed0459ba39d4d1fc"><div class="ttname"><a href="../../d2/de8/class_action_drop_item.html#af5e4b894d621d64eed0459ba39d4d1fc">ActionDropItem::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da6/_action_drop_item_8c_source.html#l00048">ActionDropItem.c:48</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_c_b_html"><div class="ttname"><a href="../../de/df4/class_action_single_use_base_c_b.html">ActionSingleUseBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00001">ActionSingleUseBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_aff0b345c6a0a8469dfb7bc27365a11bd"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">AnimatedActionBase::m_CommandUIDProne</a></div><div class="ttdeci">protected int m_CommandUIDProne</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00126">AnimatedActionBase.c:126</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_drop_action_input_html"><div class="ttname"><a href="../../d4/d7f/class_drop_action_input.html">DropActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00650">ActionInput.c:651</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00413">constants.c:413</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d1/da6/_action_drop_item_8c.html">ActionDropItem.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
